Bug 1809771 - libreoffice sometimes hangs when trying to open files
Summary: libreoffice sometimes hangs when trying to open files
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 20:42 UTC by hw
Modified: 2020-11-24 15:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 15:34:58 UTC
Type: Bug


Attachments (Terms of Use)

Description hw 2020-03-03 20:42:01 UTC
Description of problem:
When trying to open a file, libreoffice sometimes hangs and must be killed before the user can do anything else with libreoffice.

Version-Release number of selected component (if applicable):

the bug has existed for years now

How reproducible:
Open a file with libreoffice.  Libreoffice sometimes hangs when you do that.  You may need to open a lot of files over the course of a working day before it happens.

Once libreoffice has been killed, the same file can be opened just fine.

This is a big problem because the users remain unable to do their work because they can't kill libreoffice and they can't reboot their computers because they are working over xrdp sessions on a server.  Manual intervention by the administrator is required.

Steps to Reproduce:
1.
2.
3.

Actual results:
libreoffice hangs, apperently in oosplash

Expected results:
libreoffice doesn't hang

Additional info:

Comment 1 Caolan McNamara 2020-03-04 08:55:20 UTC
its not something I've even encountered, some sort of reproducible scenario is needed to investigate

Comment 2 agents 2020-05-25 23:12:46 UTC
Description of problem:

A LO 5.3.6.1 spreadsheet not infrequently locks up hard. The only way out is to force close LO and then recover the spreadsheet. Some information is always lost after recovering the spreadsheet.

Although the spreadsheet has many tabs, the information in each tab is not large, nor are the formulas in any way complex.

Version-Release number of selected component (if applicable):

5.3.6.1 but has been around for several years in the previous versions.

How reproducible:

Although it is not infrequent, there is no set way of reproducing it. It seems to happen when adding/deleting rows and the sheet is recalculated.

Steps to Reproduce:
1.
2.
3.

Actual results:

Hard lockup needing a force quit of LO.

Expected results:

No lockup.

Additional info:

Comment 3 Caolan McNamara 2020-05-26 07:51:01 UTC
I don't think there any reason to think comment #1 and comment #2 refer to the same bug ? In either case a reproducible scenario is required to make progress

Comment 4 agents 2020-05-26 20:06:41 UTC
I agree, it is probably not the same bug but I could not find LibreOffice in the drop-down item for Fedora EPEL?

In any case, another user has stated that he also has encountered the same(?) bug in Calc and in Impress under two operating systems so one would think there are more users who have experienced it.

Comment 5 Caolan McNamara 2020-05-26 20:15:59 UTC
LibreOffice is in Fedora or RHEL, not EPEL.

Comment 6 agents 2020-05-27 01:55:36 UTC
OK, added it to Fedora.

Comment 7 Ben Cotton 2020-11-03 17:08:21 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-11-24 15:34:58 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.